<?php
session_start();
include('../nusoap/nusoap.php');
if(isset($_SESSION["ruc_empresa"]) && trim($_SESSION["ruc_empresa"])!=""){
include("../cn/config".$_SESSION["ruc_empresa"].".php");
}else{
include("../cn/config.php");
}
ini_set('max_execution_time', 0);
$i=0;
$ruccli="";
$nomcli="";
if(isset($_SESSION["buscarusuario"]["ruccli"])){
	$ruccli=$_SESSION["buscarusuario"]["ruccli"];
}
if(isset($_SESSION["buscarusuario"]["nomcli"])){
	$nomcli=$_SESSION["buscarusuario"]["nomcli"];
}
$nerror=0;
$client = new nusoap_client($ruta_ws,true);
$err  = $client->getError();
if ($err) {
 /*echo '<h2>Constructor error</h2><pre>' . $err . '</pre>';*/
 $nerror=$nerror+1;
}
$param = array("ruccli"=>$ruccli,"nomcli"=>$nomcli);
$result = $client->call('sp_webfe_busqueda_usuario',$param);
if ($client->fault) {
/*echo 'No se pudo completar la operación'; */
/*die();*/
$nerror=$nerror+1;
} else { 
$err = $client->getError();
if ($err) { 
$nerror=$nerror+1;
/*echo 'Error:' . $err; */
/*die();*/ 
} 
} 
if($nerror==0){
if(isset($result["sp_webfe_busqueda_usuarioResult"]["Usuarios"]) && isset($result["sp_webfe_busqueda_usuarioResult"]["Usuarios"][0]["usuariofe"]) && trim($result["sp_webfe_busqueda_usuarioResult"]["Usuarios"][0]["usuariofe"])!=""){
$contadorxml=$result["sp_webfe_busqueda_usuarioResult"]["Usuarios"];
}else{
$contadorxml=$result["sp_webfe_busqueda_usuarioResult"];
}
if(is_array($contadorxml)){
for($j=0;$j<count($contadorxml);$j++){
if(count($contadorxml)==1){
$fila2=$result["sp_webfe_busqueda_usuarioResult"]["Usuarios"];
}else{
$fila2=$result["sp_webfe_busqueda_usuarioResult"]["Usuarios"][$j];
}
$data[$j]=array("usuario" => $fila2["usuariofe"],"ruccli" => $fila2["ruccli"],"codcli" => $fila2["codcli"],"nomcli" => utf8_encode($fila2["nomcli"]),"idusuario" => $fila2["idusuario"]);
	$i=$i+1;


}
}
if($i==0){
$data=array();
}
header("Content-type: application/json");

echo json_encode($data);
}else{
	$data[0]=array("usuario" => "ERROR DE CONEXIÓN","ruccli" => "","codcli" => "","nomcli" => "","idusuario" => "");
	header("Content-type: application/json");

echo json_encode($data);
}
?>